name: Build and Push BuildUp

on:
  push:
    branches:
      - main
      - master

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v3

      - name: Login to Harbor
        uses: docker/login-action@v3
        with:
          registry: harbor.reveal07.evoliatis.eu
          username: admin
          password: ${{ secrets.HARBOR_PASSWORD }}

      - name: Build and Push
        uses: docker/build-push-action@v5
        with:
          context: ./buildup
          push: true
          tags: harbor.reveal07.evoliatis.eu/buildup/buildup:latest